export const IDL = {
    "version": "0.1.0",
    "name": "render_entity_manager",
    "instructions": [
        {
            "name": "initializeNodeCollectionV0",
            "accounts": [
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "nodeCollection",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "collection",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "collection"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "NodeCollectionV0",
                                "path": "node_collection"
                            }
                        ]
                    }
                },
                {
                    "name": "metadata",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "metadata"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "token_metadata_program"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "collection"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "token_metadata_program"
                        }
                    }
                },
                {
                    "name": "masterEdition",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "metadata"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "token_metadata_program"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "collection"
                            },
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "edition"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "token_metadata_program"
                        }
                    }
                },
                {
                    "name": "tokenAccount",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "tokenMetadataProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "associatedTokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "rent",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeNodeCollectionArgsV0"
                    }
                }
            ]
        },
        {
            "name": "initializeNodeV0",
            "accounts": [
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "fulfiller",
                    "isMut": false,
                    "isSigner": true
                },
                {
                    "name": "node",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "collection",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "collectionMetadata",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "metadata"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "token_metadata_program"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "collection"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "token_metadata_program"
                        }
                    }
                },
                {
                    "name": "collectionMasterEdition",
                    "isMut": false,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "metadata"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "token_metadata_program"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "collection"
                            },
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "edition"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "token_metadata_program"
                        }
                    }
                },
                {
                    "name": "nodeCollection",
                    "isMut": true,
                    "isSigner": false,
                    "relations": [
                        "collection",
                        "merkle_tree"
                    ]
                },
                {
                    "name": "entityCreator",
                    "isMut": false,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "entity_creator"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "fulfiller"
                            }
                        ]
                    }
                },
                {
                    "name": "treeAuthority",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "merkle_tree"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "bubblegum_program"
                        }
                    }
                },
                {
                    "name": "recipient",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "merkleTree",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "bubblegumSigner",
                    "isMut": false,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "collection_cpi"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "bubblegum_program"
                        }
                    }
                },
                {
                    "name": "tokenMetadataProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "logWrapper",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "bubblegumProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "compressionProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeNodeArgsV0"
                    }
                }
            ]
        },
        {
            "name": "initializeNodeRewardsV0",
            "accounts": [
                {
                    "name": "emissionSchedule",
                    "isMut": false,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "emission_schedule"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "rndr_mint"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "emission_schedule_program"
                        }
                    }
                },
                {
                    "name": "emissionScheduleProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "transferer",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "account_windowed_breaker"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "TokenAccount",
                                "path": "escrow"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "circuit_breaker_program"
                        }
                    }
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "owner",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "to",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "escrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "thread",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "thread"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "path": "owner"
                            },
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "receive_rewards"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "clockwork"
                        }
                    }
                },
                {
                    "name": "clockwork",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "nodeStats",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "associatedTokenProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeNodeRewardsArgsV0"
                    }
                }
            ]
        },
        {
            "name": "distributeNodeRewardsV0",
            "accounts": [
                {
                    "name": "emissionSchedule",
                    "isMut": false,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "emission_schedule"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "Mint",
                                "path": "rndr_mint"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "emission_schedule_program"
                        }
                    }
                },
                {
                    "name": "emissionScheduleReceipt",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "emissionScheduleProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "to",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "escrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "account_windowed_breaker"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "TokenAccount",
                                "path": "escrow"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "circuit_breaker_program"
                        }
                    }
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "transferer",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "thread",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "owner",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "nodeStats",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": [],
            "returns": {
                "defined": "clockwork_sdk::state::ThreadResponse"
            }
        },
        {
            "name": "initializeTransfererV0",
            "accounts": [
                {
                    "name": "transferer",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "account_windowed_breaker"
                            },
                            {
                                "kind": "account",
                                "type": "publicKey",
                                "account": "TokenAccount",
                                "path": "escrow"
                            }
                        ],
                        "programId": {
                            "kind": "account",
                            "type": "publicKey",
                            "path": "circuit_breaker_program"
                        }
                    }
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "escrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "escrowOwner",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeTransfererArgsV0"
                    }
                }
            ]
        }
    ],
    "accounts": [
        {
            "name": "nodeCollectionV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "updateAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "issuingAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "bumpSeed",
                        "type": "u8"
                    },
                    {
                        "name": "collection",
                        "type": "publicKey"
                    },
                    {
                        "name": "merkleTree",
                        "type": "publicKey"
                    },
                    {
                        "name": "collectionBumpSeed",
                        "type": "u8"
                    }
                ]
            }
        },
        {
            "name": "nodeV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "fulfiller",
                        "type": "publicKey"
                    },
                    {
                        "name": "key",
                        "type": "publicKey"
                    },
                    {
                        "name": "assetId",
                        "type": "publicKey"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        },
        {
            "name": "nodeStatsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "epochId",
                        "type": "u64"
                    },
                    {
                        "name": "lastBenchmark",
                        "type": "u64"
                    },
                    {
                        "name": "isUp",
                        "type": "bool"
                    },
                    {
                        "name": "uptimeScore",
                        "type": "u64"
                    },
                    {
                        "name": "uptimeLastUpdated",
                        "type": "i64"
                    },
                    {
                        "name": "renderScore",
                        "type": "u64"
                    },
                    {
                        "name": "rewardsClaimed",
                        "type": "u64"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        },
        {
            "name": "transfererV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        }
    ],
    "types": [
        {
            "name": "CompleteRenderJobArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "entityKey",
                        "type": "publicKey"
                    },
                    {
                        "name": "renderDurationSec",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "DistributeNodeRewardsArgsV0",
            "type": {
                "kind": "struct",
                "fields": []
            }
        },
        {
            "name": "InitializeNodeCollectionArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "updateAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "issuingAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "metadataUrl",
                        "type": "string"
                    }
                ]
            }
        },
        {
            "name": "InitializeNodeRewardsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "entityKey",
                        "type": "publicKey"
                    }
                ]
            }
        },
        {
            "name": "InitializeNodeArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "entityKey",
                        "type": "publicKey"
                    }
                ]
            }
        },
        {
            "name": "InitializeTransfererArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    }
                ]
            }
        },
        {
            "name": "UpdateNodeStatsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "entityKey",
                        "type": "publicKey"
                    },
                    {
                        "name": "benchmarkScore",
                        "type": {
                            "option": "u64"
                        }
                    },
                    {
                        "name": "isUp",
                        "type": {
                            "option": "bool"
                        }
                    }
                ]
            }
        }
    ],
    "errors": [
        {
            "code": 6000,
            "name": "InvalidEccCompact",
            "msg": "Invalid ecc compcat"
        },
        {
            "code": 6001,
            "name": "InvalidStringLength",
            "msg": "Invalid string length, your string was likely too long"
        },
        {
            "code": 6002,
            "name": "StringNotAlphanumeric",
            "msg": "The string was not alphanumeric"
        },
        {
            "code": 6003,
            "name": "InvalidMetadataProgram",
            "msg": "Metadata Program Mismatch"
        },
        {
            "code": 6004,
            "name": "InvalidDataIncrease",
            "msg": "The realloc increase was too large"
        },
        {
            "code": 6005,
            "name": "NoGenesis",
            "msg": "Genesis endpoints are currently disabled"
        },
        {
            "code": 6006,
            "name": "MissingEmissionSchedule",
            "msg": "missing emissions schedule item"
        },
        {
            "code": 6007,
            "name": "CalculationError",
            "msg": "error performing arithmetic"
        }
    ]
};
//# sourceMappingURL=render_entity_manager.js.map